DCMTK: DiColorMonoTemplate< T > Class Template Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DiColorMonoTemplate< T > Class Template Reference

Template class to convert color image to monochrome images. More...

Inheritance diagram for DiColorMonoTemplate< T >:

## Public Member Functions
| DiColorMonoTemplate (const DiColorPixel *pixel, DiMonoModality *modality, const double red, const double green, const double blue)
| constructor
virtual | ~DiColorMonoTemplate ()
| destructor
Public Member Functions inherited from DiMonoPixelTemplate< T >
| DiMonoPixelTemplate (const unsigned long count)
| constructor
| DiMonoPixelTemplate (const DiInputPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixelTemplate (DiMonoOutputPixel *pixel, DiMonoModality *modality)
| constructor
virtual | ~DiMonoPixelTemplate ()
| destructor
EP_Representation | getRepresentation () const
| get integer representation
const void * | getData () const
| get pointer to internal pixel data
void * | getDataPtr ()
| get pointer to internal pixel data
void * | getDataArrayPtr ()
| get reference to pointer to internal pixel data.
int | getMinMaxValues (double &min, double &max) const
| get minimum and maximum pixel values
int | getMinMaxWindow (const int idx, double &center, double &width)
| get automatically computed min-max window
virtual int | getRoiWindow (const unsigned long left_pos, const unsigned long top_pos, const unsigned long width, const unsigned long height, const unsigned long columns, const unsigned long rows, const unsigned long frame, double &voiCenter, double &voiWidth)
| get automatically computed Region of Interest (ROI) window
int | getHistogramWindow (const double thresh, double &center, double &width)
| get automatically computed histogram window
Public Member Functions inherited from DiMonoPixel
| DiMonoPixel (const unsigned long count)
| constructor
| DiMonoPixel (const DiInputPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixel (DiMonoOutputPixel *pixel, DiMonoModality *modality)
| constructor
virtual | ~DiMonoPixel ()
| destructor
int | getPlanes () const
| get number of planes
unsigned int | getBits () const
| get number of bits per pixel
double | getAbsMinimum () const
| get absolute minimum pixel value.
double | getAbsMaximum () const
| get absolute maximum pixel value.
double | getAbsMaxRange () const
| get absolute pixel range
const char * | getModalityLutExplanation () const
| get modality LUT explanation string
DiMonoModality * | addReferenceToModality ()
| add a reference to the internally managed modality transform object
int | isPotentiallySigned () const
| check whether pixel data is 'potentially' signed.
Public Member Functions inherited from DiPixel
| DiPixel (const unsigned long count, const unsigned long inputCount=0)
| constructor
virtual | ~DiPixel ()
| destructor
unsigned long | getCount () const
| get number of pixels
unsigned long | getInputCount () const
| get number of pixels stored in the 'PixelData' element
Public Member Functions inherited from DiPixelRepresentationTemplate< T >
| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor
int | isSigned () const
| check whether template type T is signed or not

## Private Member Functions
void | convert (const T *pixel[3], const double red, const double green, const double blue)
| convert color pixel data to monochrome format

## Additional Inherited Members
Protected Member Functions inherited from DiMonoPixelTemplate< T >
| DiMonoPixelTemplate (const DiPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixelTemplate (const DiMonoPixel *pixel, const unsigned long count)
| constructor
void | determineMinMax (T minvalue=0, T maxvalue=0, const int mode=0x1)
| determine minimum and maximum pixel values
Protected Member Functions inherited from DiMonoPixel
| DiMonoPixel (const DiPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixel (const DiMonoPixel *pixel, const unsigned long count)
| constructor
Protected Attributes inherited from DiMonoPixelTemplate< T >
T * | Data
| pointer to pixel data
Protected Attributes inherited from DiMonoPixel
DiMonoModality * | Modality
| pointer to modality transform object
Protected Attributes inherited from DiPixel
unsigned long | Count
| number of pixels
unsigned long | InputCount
| number of pixels in the input buffer

## Detailed Description

template<class T>
class DiColorMonoTemplate< T >

Template class to convert color image to monochrome images.

(on pixel data level)

## Constructor & Destructor Documentation

## ◆ DiColorMonoTemplate()

template<class T>

DiColorMonoTemplate< T >::DiColorMonoTemplate | ( | const DiColorPixel * | pixel,
|  | DiMonoModality * | modality,
|  | const double | red,
|  | const double | green,
|  | const double | blue )
| inline

constructor

Parameters

  pixel | intermediate representation of color pixel data
  modality | pointer to object managing modality transform
  red | coefficient of red pixel component
  green | coefficient of green pixel component
  blue | coefficient of blue pixel component

References DiMonoPixelTemplate< T >::DiMonoPixelTemplate(), and DiPixel::getCount().

## Member Function Documentation

## ◆ convert()

template<class T>

void DiColorMonoTemplate< T >::convert | ( | const T * | pixel[3],
|  | const double | red,
|  | const double | green,
|  | const double | blue )
| inlineprivate

convert color pixel data to monochrome format

Parameters

  pixel | intermediate representation of color pixel data
  red | coefficient of red pixel component
  green | coefficient of green pixel component
  blue | coefficient of blue pixel component

References DiPixel::Count, and DiMonoPixelTemplate< T >::Data.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dicomot.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2